-- phpMyAdmin SQL Dump
-- version 4.7.2
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Tempo de geração: 13/04/2018 às 10:14
-- Versão do servidor: 10.1.18-MariaDB-1~xenial
-- Versão do PHP: 7.0.29-1+ubuntu16.04.1+deb.sury.org+1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";

--
-- Banco de dados: `dw_projeto_gol`
--

-- --------------------------------------------------------

--
-- Estrutura para tabela `classes`
--

CREATE TABLE `classes` (
  `id` int(11) NOT NULL,
  `nome_classe` varchar(220) DEFAULT NULL,
  `criado` datetime DEFAULT NULL,
  `modificado` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `classes`
--



-- --------------------------------------------------------

--
-- Estrutura para tabela `metodos`
--

CREATE TABLE `metodos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome_metodo` varchar(220) DEFAULT NULL,
  `classes_id` int(11) DEFAULT NULL,
  `criado` datetime DEFAULT NULL,
  `modificado` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `metodos`
--


-- --------------------------------------------------------

--
-- Estrutura para tabela `niveis_acessos`
--

CREATE TABLE `niveis_acessos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome_niveis_acesso` varchar(220) NOT NULL,
  `criado` datetime NOT NULL,
  `modificado` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `niveis_acessos`
--

INSERT INTO `niveis_acessos` (`id`, `nome_niveis_acesso`, `criado`, `modificado`) VALUES
(1, 'Administrador', '2018-02-13 20:38:08', NULL),
(2, 'Publico', '2018-02-13 20:38:43', NULL),
(3, 'Colaborador', '2018-02-13 20:38:52', NULL),
(4, 'Cliente', '2018-02-13 20:38:59', NULL);

-- --------------------------------------------------------

--
-- Estrutura para tabela `permissoes`
--

CREATE TABLE `permissoes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `classes_id` int(11) DEFAULT NULL,
  `metodos_id` int(11) DEFAULT NULL,
  `niveis_acesso_id` int(11) DEFAULT NULL,
  `situacao_permissao` int(11) DEFAULT NULL,
  `criado` datetime DEFAULT NULL,
  `modificado` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `permissoes`
--



-- --------------------------------------------------------

--
-- Estrutura para tabela `situacoes_users`
--

CREATE TABLE `situacoes_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome_sit_user` varchar(30) NOT NULL,
  `criado` datetime NOT NULL,
  `modificado` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `situacoes_users`
--

INSERT INTO `situacoes_users` (`id`, `nome_sit_user`, `criado`, `modificado`) VALUES
(1, 'Ativo', '2018-02-13 00:00:00', NULL),
(2, 'Inativo', '2018-02-13 00:00:00', NULL),
(3, 'Aguardando Confirmacao', '2018-02-13 00:00:00', NULL);

-- --------------------------------------------------------

--
-- Estrutura para tabela `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(100) DEFAULT NULL,
  `email` varchar(60) DEFAULT NULL,
  `password` char(32) DEFAULT NULL,
  `foto` varchar(60) DEFAULT NULL,
  `niveis_acesso_id` int(11) DEFAULT NULL,
  `situacoes_user_id` int(11) DEFAULT NULL,
  `criado` datetime DEFAULT NULL,
  `modificado` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `users`
--

INSERT INTO `users` (`id`, `nome`, `email`, `password`, `foto`, `niveis_acesso_id`, `situacoes_user_id`, `criado`, `modificado`) VALUES
(1, 'Flávio', 'flavio@flavioizo.com', '202cb962ac59075b964b07152d234b70', 'flavio.jpg', 1, 1, '2018-02-13 13:00:00', NULL),
(2, 'Maria', 'maria@flavioizo.com', '202cb962ac59075b964b07152d234b70', 'maria.jpg', 3, 1, '2018-02-13 13:45:20', NULL),
(3, 'João', 'joao@flavioizo.com', '202cb962ac59075b964b07152d234b70', 'joao.jpg', 3, 1, '2018-02-13 13:48:58', NULL);


-- --------------------------------------------------------

--
-- Estrutura para tabela `players_peso`
--

CREATE TABLE `players_peso` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `situacao` varchar(25) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `futebol_players`
--

INSERT INTO `players_peso` (`id`, `situacao`) VALUES
(1, 'Goleiro'),
(2, 'Decisivo'),
(3, 'Mediano'),
(4, 'Café com leite');

-- --------------------------------------------------------

--
-- Estrutura para tabela `players`
--

CREATE TABLE `players` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(40) NOT NULL,
  `players_peso_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `futebol_players`
--

INSERT INTO `players` (`id`, `nome`, `players_peso_id`) VALUES
(1, 'Ronaldinho', 2),
(2, 'Sávio', 2),
(3, 'Gabriel Jesus', 2);


-- --------------------------------------------------------

--
-- Estrutura para tabela `locais`
--

CREATE TABLE `locais` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(40) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `locais`
--

INSERT INTO `locais` (`id`, `nome`) VALUES
(1, 'Bom gosto'),
(2, 'Hangar');

-- --------------------------------------------------------

--
-- Estrutura para tabela `matchs`
--

CREATE TABLE `matchs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dia_hora` datetime DEFAULT NULL,
  `locais_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `matchs`
--

INSERT INTO `matchs` (`id`, `dia_hora`, `locais_id`) VALUES
(1, '2018-03-13 13:48:58', 1);

-- --------------------------------------------------------

--
-- Estrutura para tabela `matchs_players`
--

CREATE TABLE `matchs_players` (
  `matchs_id` int(11) NOT NULL,
  `players_id` int(11) NOT NULL,
  `gols` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `matchs_players`
--

INSERT INTO `matchs_players` (`matchs_id`, `players_id`, `gols`) VALUES
(1, 1, 0),
(1, 2, 0),
(1, 3, 0);

-- --------------------------------------------------------

--
-- Índices de tabela `classes`
--
ALTER TABLE `classes`
  ADD PRIMARY KEY (`id`); 

--
-- Índices de tabela `metodos`
--
ALTER TABLE `metodos`
  ADD PRIMARY KEY (`id`);
  
ALTER TABLE `metodos`
  ADD CONSTRAINT FK_ClassesMetodos
  FOREIGN KEY (`classes_id`) REFERENCES classes(`id`); 

--
-- Índices de tabela `niveis_acessos`
--
ALTER TABLE `niveis_acessos`
  ADD PRIMARY KEY (`id`);

--
-- Índices de tabela `permissoes`
--
ALTER TABLE `permissoes`
  ADD PRIMARY KEY (`id`);
  
ALTER TABLE `permissoes`
  ADD CONSTRAINT `FK_ClassesPermissoes`
  FOREIGN KEY (`classes_id`) REFERENCES `classes`(`id`); 
  
ALTER TABLE `permissoes`
  ADD CONSTRAINT `FK_MetodosPermissoes`
  FOREIGN KEY (`metodos_id`) REFERENCES `classes`(`id`); 
  
ALTER TABLE `permissoes`
  ADD CONSTRAINT `FK_NiveisAcessoPermissoes`
  FOREIGN KEY (`niveis_acesso_id`) REFERENCES `niveis_acessos`(`id`); 

--
-- Índices de tabela `situacoes_users`
--
ALTER TABLE `situacoes_users`
  ADD PRIMARY KEY (`id`);

--
-- Índices de tabela `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);
  
ALTER TABLE `users`
  ADD CONSTRAINT `FK_NiveisAcessoUsers`
  FOREIGN KEY (`niveis_acesso_id`) REFERENCES `niveis_acessos`(`id`); 
  
ALTER TABLE `users`
  ADD CONSTRAINT `FK_SituacoesUserUsers`
  FOREIGN KEY (`situacoes_user_id`) REFERENCES `situacoes_users`(`id`); 
  
--
-- Índices de tabela `players_peso`
--
ALTER TABLE `players_peso`
  ADD PRIMARY KEY (`id`);

--
-- Índices de tabela `players`
--
ALTER TABLE `players`
  ADD PRIMARY KEY (`id`);
  
ALTER TABLE `players`
  ADD CONSTRAINT `FK_PlayersPesoPlayers`
  FOREIGN KEY (`players_peso_id`) REFERENCES `players_peso`(`id`); 

--
-- Índices de tabela `local`
--
ALTER TABLE `locais`
  ADD PRIMARY KEY (`id`);  
  
--
-- Índices de tabela `match`
--
ALTER TABLE `matchs`
  ADD PRIMARY KEY (`id`); 
  
ALTER TABLE `matchs`
  ADD CONSTRAINT `FK_LocaisMatchs`
  FOREIGN KEY (`locais_id`) REFERENCES `locais`(`id`); 
  
--
-- Índices de tabela `matchs_players`
--
ALTER TABLE `matchs_players`
  ADD PRIMARY KEY (`matchs_id`, `players_id`);
  
ALTER TABLE `matchs_players`
  ADD CONSTRAINT `FK_MatchsMatchsPlayers`
  FOREIGN KEY (`matchs_id`) REFERENCES `matchs`(`id`); 
  
ALTER TABLE `matchs_players`
  ADD CONSTRAINT `FK_PlayersMatchsPlayers`
  FOREIGN KEY (`players_id`) REFERENCES `players`(`id`); 
  