<?php
class ControllerAuth {
    private $dados;

    public function auth() {
        $this->dados = filter_input_array(INPUT_POST, FILTER_DEFAULT);
        if (isset($this->dados['sendLogin'])) {
            unset($this->dados['sendLogin']);
            //var_dump($this->dados);
            if (($this->dados['email'] != null) && ($this->dados['password'] != null)) {
                $login = new ModelsAuth();
                $login->autenticar($this->dados);
                if (!$login->getResult()) {
                    $_SESSION['msg'] = $login->getMsg();
                }else {
                    $this->dados = $login->getResult();
                    $this->dados = $this->dados[0];
                    $_SESSION['id'] = $this->dados['id'];
                    $_SESSION['nome'] = $this->dados['nome'];
                    $_SESSION['email'] = $this->dados['email'];
                    $urlDestino = URL . 'controller-home/index';
                    header("Location: $urlDestino");
                }
            }else{
                $_SESSION['msg'] = "
                        <div class='alert alert-danger' role='alert'>
                          Login e senha devem ser preenchidos!
                        </div>
                        ";
            }
        }else {
            $this->dados = null;
        }


        $carregarView = new ConfigView("auth/login", $this->dados);
        $carregarView->renderizarAuth();
    }

    public function logout() {
        $_SESSION['msg'] = "
                <div class='alert alert-primary' role='alert'>
                  Usuário {$_SESSION['nome']} deslogado com sucesso!
                </div>
                        ";
        unset($_SESSION['id'], $_SESSION['nome'], $_SESSION['email']);
        $urlDestino = URL . 'controller-auth/auth';
        header("Location: $urlDestino");
    }
}
