<?php
    Class ControllerUsers{
        private $dados;
        private $userId;

        public function index(){
            $listarUsers = new ModelsUsers();
            $this->dados = $listarUsers->listar();
            //var_dump($this->dados);
            $carregarView = new ConfigView("users/listarUsers", $this->dados);
            $carregarView->renderizar();
        }

        public function visualizar($userId){
            $visualizarUser = new ModelsUsers();
            $this->dados = $visualizarUser->visualizar($userId);
            $carregarView = new ConfigView("users/visualizarUsers", $this->dados);
            $carregarView->renderizar();
        }

        public function inserir(){
            $this->dados = filter_input_array(INPUT_POST, FILTER_DEFAULT);
            if (isset($this->dados['enviarInserirUser'])){
                unset($this->dados['enviarInserirUser']);
                //var_dump($this->dados);
                $inserirUsuario = new ModelsUsers();
                $inserirUsuario->inserir($this->dados);
                $this->dados['msg'] = $inserirUsuario->getMsg();
                if ($inserirUsuario->getResult()){
                    $urlDestino = URL .'ControllerUsers/index';
                    header("location: {$urlDestino}");
                }
            }

            $carregarView = new ConfigView("users/inserirUsers", $this->dados);
            $carregarView->renderizar();
        }

        public function editar($userId) {
            $this->dados = filter_input_array(INPUT_POST, FILTER_DEFAULT);
            $this->userId = (int) $userId;
            //var_dump($this->dados);
            if (isset($this->dados['enviarEditarUser'])) {
                //var_dump($this->dados);
                unset($this->dados['enviarEditarUser']);
                $editarUsuario = new ModelsUsers();
                $editarUsuario->editar($userId, $this->dados);
                $this->dados['msg'] = $editarUsuario->getMsg();

                if ($editarUsuario->getResult()) {
                    $urlDestino = URL . 'controller-users/index';
                    header("Location: $urlDestino");
                }
            }else {
                $visualizarUser = new ModelsUsers();
                $this->dados = $visualizarUser->visualizar($this->userId);
                $this->dados = $this->dados[0];
                //var_dump($this->dados);
            }

            $CarregarView = new ConfigView("users/editarUsers", $this->dados);
            $CarregarView->renderizar();
        }

    public function apagar($userId = null){
        $this->userId = (int) $userId;
        if ($this->userId != null){
            $apagarUser = new ModelsUsers();
            $apagarUser->apagar($this->userId);
            $_SESSION['msg'] = $apagarUser->getMsg();
        }else{
            $_SESSION['msg'] = "
                        <div class='alert alert-danger' role='alert'>
                          Erro: O id usuário não foi informado!
                        </div>
                ";
        }
        $urlDestino = URL . 'controller-users/index';
        header("Location: $urlDestino");
    }

}