<?php

# abstract para não ser instanciada
abstract class ModelsConn {
    public static $HOST = HOST;
    public static $USER = USER;
    public static $PASS = PASS;
    public static $DBNAME = DBNAME;
    private static $CONNECT = null;

    private static function conectar(){
        try{
            if(self::$CONNECT == null) {
                self::$CONNECT = new PDO('mysql:host=' . self::$HOST . ';dbname='
                            . self::$DBNAME . ';charset=utf8', self::$USER, self::$PASS);
                //echo "<br />Conectado com sucesso!";
            }
        } catch (Exception $e) {
            echo 'Mensagem: ' . $e->getMessage();
            die;
        }
        self::$CONNECT->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        return self::$CONNECT;
    }  
    
    protected static function getConn(){
        return self::conectar();
    }
}
